
import request from '@/utils/request2'

// 分页查询代理商负责人数据
export const getProxyUserList = data => {
  return request({
    url: '/api-web/tenantProxyInfo/queryProxyUser',
    // params: data,
    data,
    method: 'post',
    requestType:'json'
  })
}


// 新增代理商
export const addProxyUser = data => {
  return request({
    url: '/api-web/tenantProxyInfo/addProxyInfo',
    // params: data,
    data,
    method: 'post',
    requestType:'json'
  })
}


// 修改代理商
export const updateProxyUser = data => {
  return request({
    url: '/api-web/tenantProxyInfo/updateProxyUserInfo',
    // params: data,
    data,
    method: 'post',
    requestType:'json'
  })
}


// 启用冻结
export const freezeProxyUser = data => {
  return request({
    url: '/api-web/tenantProxyInfo/freezeProxy',
    // params: data,
    // data,
    method: 'get',
    params: data,
    // requestType:'json'
  })
}


export const addProxyUserStaff = data => {
  return request({
    url: '/api-web/tenantProxyInfo/addProxyStaff',
    // params: data,
    data,
    method: 'post',
    requestType:'json'
  })
}

// 获取员工
export const getProxyUserStaffList = data=>{
  return request({
    url: '/api-web/tenantProxyInfo/queryProxyUserStaff',
    // params: data,
    params: data,
    method: 'get',
  })
}

// 获取平台员工
export const getTenantUserList = data=>{
  return request({
    url: '/api-web/tenantProxyInfo/queryUserList',
    // params: data,
    data,
    method: 'post',
    requestType:'json',
    hideLoading:true
  })
}


// 代理商分润查询
export const getProxyDividend = data=>{
  return request({
    url: '/api-web/tenantProxyDividend/queryProxyDividend',
    // params: data,
    data,
    method: 'post',
    requestType:'json'
  })
}
export const getProxyDividendList = data=>{
  return request({
    url: '/api-web/tenantProxyDividend/queryProxyDividendInfo',
    // params: data,
    data,
    method: 'post',
    requestType:'json'
  })
}
