import request2 from '@/utils/request2'
import qs from 'qs'
let api = '/api-web'



// 获取功能字典
export function getMemberPrivilegesItem(data) {
  return request2({
    url: api + '/memberPrivilegesItem/findAll',
    method: 'get',
    params: data
  })
}

// 新增功能字典
export function addMemberPrivilegesItem(data) {
  return request2({
    url: api + '/memberPrivilegesItem/add',
    method: 'post',
    data
  })
}

// 修改功能字典
export function resetMemberPrivilegesItem(data) {
  return request2({
    url: api + '/memberPrivilegesItem/update',
    method: 'post',
    data
  })
}

// 删除功能字典
export function deleteMemberPrivilegesItem(data) {
  return request2({
    url: api + '/memberPrivilegesItem/del',
    method: 'post',
    params: data
  })
}
