import request2 from '@/utils/request2'

export const recharge = (data) => request2({
  url: `/api-web/tenantInfo/recharge/${data.amount}`,
  method: 'get'
})

export const rechargeCheck = (data) => request2({
  url: '/api-web/tenantInfo/rechargeCheck/' + data.orderNo,
  method: 'get',
  hideLoading: true,
})

export const queryTenantInfoSumm = (data) => request2({
  url: `/api-web/tenantInfo/queryTenantInfoSumm`,
  method: 'get',
  params: data
})


export const checkInfo = (data) => request2({
  url: '/api-web/tenantInfo/checkInfo/' + data.orderNo,
  method: 'get'
})

export const tenantInfoRePay = (data) => request2({
  url: '/api-web/tenantInfo/renew/' + data.id + '?val=' + data.val,
  method: 'get',
})

// 获取协议
export const getContract = (data) => request2({
  url: `/api-web/tenantInfo/getContract/${data.id}`,
  method: 'get',
  params: data
})
