import request from '@/utils/request2'

export const photoAlbumQueryPage = (data) => {
  return request({
    url: '/api-web/photoAlbum/queryPage',
    data,
    method: 'post',
    requestType: 'form'
  })
}

export const photoAlbumAdd = (data) => {
  return request({
    url: '/api-web/photoAlbum/add',
    data: data,
    method: 'post',
    requestType: 'form'
  })
}

export const photoAlbumDel = (data) => {
  return request({
    url: '/api-web/photoAlbum/del',
    data: {},
    params: data,
    method: 'post',
  })
}

export const photoAlbumUpdate = (data) => {
  return request({
    url: '/api-web/photoAlbum/batchUpdate',
    data: data,
    method: 'post',
  })
}

export const photoQueryPage = (data) => {
  return request({
    url: '/api-web/photo/queryPage',
    data: data,
    method: 'post',
    requestType: 'form'
  })
}

export const photoAdd = (data) => {
  return request({
    url: '/api-web/photo/add',
    data: data,
    method: 'post',
  })
}

export const photoDel = (data) => {
  return request({
    url: '/api-web/photo/del',
    data: data,
    method: 'post',
    requestType: 'form'
  })
}

export const photoUpdate = (data) => {
  return request({
    url: '/api-web/photo/batchUpdate',
    data: data,
    method: 'post',
  })
}
