import request from '@/utils/request2'

export const musicGroupQuitQeryPage = data => {
  return request({
    url: '/api-web/musicGroupQuit/queryPage',
    params: data ,
    method: 'get',
    requestType: 'form'
  })
}

// 获取学生训练记录
export const getStudentHomeWorks = data => {
  return request({
    url: '/api-web/webCurseHomework/getStudentHomeWorks',
    params: data
  })
}


// 批量退团审核
export const batchQuitMusicGroup = data => {
  return request({
    url: '/api-web/musicGroupQuit/batchQuitMusicGroup',
    data: data ,
    method: 'post',
    requestType: 'json'
  })
}
